- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/verify#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/verify#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/verify#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/verify#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/verify#body.aspect)

Sends a verification email to the specified send-as alias address. The verification status must be `pending`. For more information, see [Manage aliases and signatures with the Gmail API](https://developers.google.com/workspace/gmail/api/guides/alias_and_signature_settings).

This method is only available to service account clients that have been delegated domain-wide authority.

### HTTP request

`POST https://gmail.googleapis.com/gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/verify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` User's email address. The special value "me" can be used to indicate the authenticated user. |
| `sendAsEmail` | `string` The send-as alias to be verified. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/gmail.settings.sharing`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).